curl --request GET \
--url https://{issuer}/step-up/{step_up_id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://{issuer}/step-up/{step_up_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{issuer}/step-up/{step_up_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{issuer}/step-up/{step_up_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{issuer}/step-up/{step_up_id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{issuer}/step-up/{step_up_id}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{issuer}/step-up/{step_up_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "94efc2c3-ca84-42fe-900b-6fb61669a7a1",
"rule": "payout",
"method": "selfie",
"status": "approved",
"level": "liveness_face_match",
"amount": "900.00",
"currency": "USD",
"created_at": "2026-10-17T10:41:14.894632Z",
"completed_at": "2026-10-17T10:43:02.118204Z",
"expires_at": "2026-10-17T11:11:14.894581Z"
}Step-Up 상태 조회 | Didit Authentication API
Didit의 GET /step-up//는 step-up의 상태, 방식, 등급을 반환합니다. 상태가 승인됨일 때만 민감한 작업을 진행하세요.
curl --request GET \
--url https://{issuer}/step-up/{step_up_id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://{issuer}/step-up/{step_up_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{issuer}/step-up/{step_up_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{issuer}/step-up/{step_up_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{issuer}/step-up/{step_up_id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{issuer}/step-up/{step_up_id}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{issuer}/step-up/{step_up_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "94efc2c3-ca84-42fe-900b-6fb61669a7a1",
"rule": "payout",
"method": "selfie",
"status": "approved",
"level": "liveness_face_match",
"amount": "900.00",
"currency": "USD",
"created_at": "2026-10-17T10:41:14.894632Z",
"completed_at": "2026-10-17T10:43:02.118204Z",
"expires_at": "2026-10-17T11:11:14.894581Z"
}https://<name>.auth.didit.me와 같은 애플리케이션의 발급자가 제공하며, Didit API 키를 절대 사용하지 않습니다.404를 받습니다. pending 상태의 스텝업은 30분이 지나면 expired 상태로 조회됩니다.인증
POST /token/에서 반환된 해당 인물의 액세스 token입니다. 헤더가 typ: at+jwt인 ES256 JWT이며 최대 5분 동안 유효합니다. Didit API 키가 아닙니다.
경로 매개변수
POST /step-up/의 id이자 return_to의 step_up 쿼리 파라미터입니다. UUID가 아닌 값은 JSON이 아닌 404 페이지를 반환합니다.
응답
추가 인증(step-up)입니다.
작업 전에 해당 사용자가 통과해야 하는 인증입니다.
"94efc2c3-ca84-42fe-900b-6fb61669a7a1"
이를 요청한 규칙입니다. 여러 개가 적용되는 경우 가장 강력한 방식을 가진 규칙입니다.
payout, device, bank, contact "payout"
해당 인물이 수행하는 작업: liveness, selfie(Didit이 이미 보유한 얼굴과 대조하는 라이브니스) 또는 full_id(문서 및 셀피). Didit이 해당 인물의 얼굴 정보를 아직 보유하고 있지 않은 경우 사용자가 verification_url을 열면 selfie가 full_id로 전환됩니다.
liveness, selfie, full_id "selfie"
approved인 경우에만 조치를 취하십시오. review에서는 팀의 검토를 기다립니다. verification_url이 작동하는 동안에는 declined가 최종 상태가 아닙니다. 사용자가 다시 시도할 수 있으며 추가 인증이 pending으로 돌아갑니다. superseded는 다른 확인이 해당 인증을 인계받았거나 결과가 이 추가 인증에 대한 것이 아님을 의미합니다. 새 인증을 생성하십시오.
pending, review, approved, declined, expired, superseded "pending"
승인된 후 인증이 도달한 등급입니다.
liveness, liveness_face_match, full_id, null null
지급 금액이며, 소수점 둘째 자리까지 표시됩니다.
"900.00"
"USD"
"2026-10-17T10:41:14.894632Z"
null
생성 후 30분입니다. 스텝업을 조회할 때 먼저 인증이 도달한 결과를 수집하므로 이 시간이 지난 후에도 approved, review 또는 declined로 표시될 수 있습니다. 여전히 pending 상태인 경우 expired로 표시됩니다.
"2026-10-17T11:11:14.894581Z"